Index: svn/src/northbridge/intel/i945/early_init.c
===================================================================
--- svn.orig/src/northbridge/intel/i945/early_init.c
+++ svn/src/northbridge/intel/i945/early_init.c
@@ -29,108 +29,108 @@ static void i945m_detect_chipset(void)
 {
 	u8 reg8;
 
-	printk(BIOS_INFO, "\n");
+	printk(INFO, "\n");
 	reg8 = (pci_read_config8(PCI_DEV(0, 0x00, 0), 0xe7) & 0x70) >> 4;
 	switch (reg8) {
 	case 1:
-		printk(BIOS_INFO, "Mobile Intel(R) 82945GM/GME Express");
+		printk(INFO, "Mobile Intel(R) 82945GM/GME Express");
 		break;
 	case 2:
-		printk(BIOS_INFO, "Mobile Intel(R) 82945GMS/GU Express");
+		printk(INFO, "Mobile Intel(R) 82945GMS/GU Express");
 		break;
 	case 3:
-		printk(BIOS_INFO, "Mobile Intel(R) 82945PM Express");
+		printk(INFO, "Mobile Intel(R) 82945PM Express");
 		break;
 	case 5:
-		printk(BIOS_INFO, "Intel(R) 82945GT Express");
+		printk(INFO, "Intel(R) 82945GT Express");
 		break;
 	case 6:
-		printk(BIOS_INFO, "Mobile Intel(R) 82943/82940GML Express");
+		printk(INFO, "Mobile Intel(R) 82943/82940GML Express");
 		break;
 	default:
-		printk(BIOS_INFO, "Unknown (%02x)", reg8);	/* Others reserved. */
+		printk(INFO, "Unknown (%02x)", reg8);	/* Others reserved. */
 	}
-	printk(BIOS_INFO, " Chipset\n");
+	printk(INFO, " Chipset\n");
 
-	printk(BIOS_DEBUG, "(G)MCH capable of up to FSB ");
+	printk(DEBUG, "(G)MCH capable of up to FSB ");
 	reg8 = (pci_read_config8(PCI_DEV(0, 0x00, 0), 0xe3) & 0xe0) >> 5;
 	switch (reg8) {
 	case 2:
-		printk(BIOS_DEBUG, "800 MHz"); /* According to 965 spec */
+		printk(DEBUG, "800 MHz"); /* According to 965 spec */
 		break;
 	case 3:
-		printk(BIOS_DEBUG, "667 MHz");
+		printk(DEBUG, "667 MHz");
 		break;
 	case 4:
-		printk(BIOS_DEBUG, "533 MHz");
+		printk(DEBUG, "533 MHz");
 		break;
 	default:
-		printk(BIOS_DEBUG, "N/A MHz (%02x)", reg8);
+		printk(DEBUG, "N/A MHz (%02x)", reg8);
 	}
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
-	printk(BIOS_DEBUG, "(G)MCH capable of ");
+	printk(DEBUG, "(G)MCH capable of ");
 	reg8 = (pci_read_config8(PCI_DEV(0, 0x00, 0), 0xe4) & 0x07);
 	switch (reg8) {
 	case 2:
-		printk(BIOS_DEBUG, "up to DDR2-667");
+		printk(DEBUG, "up to DDR2-667");
 		break;
 	case 3:
-		printk(BIOS_DEBUG, "up to DDR2-533");
+		printk(DEBUG, "up to DDR2-533");
 		break;
 	case 4:
-		printk(BIOS_DEBUG, "DDR2-400");
+		printk(DEBUG, "DDR2-400");
 		break;
 	default:
-		printk(BIOS_INFO, "unknown max. RAM clock (%02x).", reg8);	/* Others reserved. */
+		printk(INFO, "unknown max. RAM clock (%02x).", reg8);	/* Others reserved. */
 	}
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 }
 
 static void i945_detect_chipset(void)
 {
 	u8 reg8;
 
-	printk(BIOS_INFO, "\nIntel(R) ");
+	printk(INFO, "\nIntel(R) ");
 
 	reg8 = ((pci_read_config8(PCI_DEV(0, 0x00, 0), 0xe7) >> 5) & 4) | ((pci_read_config8(PCI_DEV(0, 0x00, 0), 0xe4) >> 4) & 3);
 	switch (reg8) {
 	case 0:
 	case 1:
-		printk(BIOS_INFO, "82945G");
+		printk(INFO, "82945G");
 		break;
 	case 2:
 	case 3:
-		printk(BIOS_INFO, "82945P");
+		printk(INFO, "82945P");
 		break;
 	case 4:
-		printk(BIOS_INFO, "82945GC");
+		printk(INFO, "82945GC");
 		break;
 	case 5:
-		printk(BIOS_INFO, "82945GZ");
+		printk(INFO, "82945GZ");
 		break;
 	case 6:
 	case 7:
-		printk(BIOS_INFO, "82945PL");
+		printk(INFO, "82945PL");
 		break;
 	default:
 		break;
 	}
-	printk(BIOS_INFO, " Chipset\n");
+	printk(INFO, " Chipset\n");
 
-	printk(BIOS_DEBUG, "(G)MCH capable of ");
+	printk(DEBUG, "(G)MCH capable of ");
 	reg8 = (pci_read_config8(PCI_DEV(0, 0x00, 0), 0xe4) & 0x07);
 	switch (reg8) {
 	case 0:
-		printk(BIOS_DEBUG, "up to DDR2-667");
+		printk(DEBUG, "up to DDR2-667");
 		break;
 	case 3:
-		printk(BIOS_DEBUG, "up to DDR2-533");
+		printk(DEBUG, "up to DDR2-533");
 		break;
 	default:
-		printk(BIOS_INFO, "unknown max. RAM clock (%02x).", reg8);	/* Others reserved. */
+		printk(INFO, "unknown max. RAM clock (%02x).", reg8);	/* Others reserved. */
 	}
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 }
 
 static void i945_setup_bars(void)
@@ -139,10 +139,10 @@ static void i945_setup_bars(void)
 
 	/* As of now, we don't have all the A0 workarounds implemented */
 	if (i945_silicon_revision() == 0)
-		printk(BIOS_INFO, "Warning: i945 silicon revision A0 might not work correctly.\n");
+		printk(INFO, "Warning: i945 silicon revision A0 might not work correctly.\n");
 
 	/* Setting up Southbridge. In the northbridge code. */
-	printk(BIOS_DEBUG, "Setting up static southbridge registers...");
+	printk(DEBUG, "Setting up static southbridge registers...");
 	pci_write_config32(PCI_DEV(0, 0x1f, 0), RCBA, DEFAULT_RCBA | 1);
 
 	pci_write_config32(PCI_DEV(0, 0x1f, 0), PMBASE, DEFAULT_PMBASE | 1);
@@ -151,14 +151,14 @@ static void i945_setup_bars(void)
 	pci_write_config32(PCI_DEV(0, 0x1f, 0), GPIOBASE, DEFAULT_GPIOBASE | 1);
 	pci_write_config8(PCI_DEV(0, 0x1f, 0), 0x4c /* GC */ , 0x10);	/* Enable GPIOs */
 	setup_ich7_gpios();
-	printk(BIOS_DEBUG, " done.\n");
+	printk(DEBUG, " done.\n");
 
-	printk(BIOS_DEBUG, "Disabling Watchdog reboot...");
+	printk(DEBUG, "Disabling Watchdog reboot...");
 	RCBA32(GCS) = (RCBA32(0x3410)) | (1 << 5);	/* No reset */
 	outw((1 << 11), DEFAULT_PMBASE | 0x60 | 0x08);	/* halt timer */
-	printk(BIOS_DEBUG, " done.\n");
+	printk(DEBUG, " done.\n");
 
-	printk(BIOS_DEBUG, "Setting up static northbridge registers...");
+	printk(DEBUG, "Setting up static northbridge registers...");
 	/* Set up all hardcoded northbridge BARs */
 	pci_write_config32(PCI_DEV(0, 0x00, 0), EPBAR, DEFAULT_EPBAR | 1);
 	pci_write_config32(PCI_DEV(0, 0x00, 0), MCHBAR, DEFAULT_MCHBAR | 1);
@@ -181,16 +181,16 @@ static void i945_setup_bars(void)
 	pci_write_config8(PCI_DEV(0, 0x00, 0), PAM6, 0x33);
 
 	pci_write_config32(PCI_DEV(0, 0x00, 0), SKPAD, 0xcafebabe);
-	printk(BIOS_DEBUG, " done.\n");
+	printk(DEBUG, " done.\n");
 
 	/* Wait for MCH BAR to come up */
-	printk(BIOS_DEBUG, "Waiting for MCHBAR to come up...");
+	printk(DEBUG, "Waiting for MCHBAR to come up...");
 	if ((pci_read_config8(PCI_DEV(0, 0x0f, 0), 0xe6) & 0x2) == 0x00) { /* Bit 49 of CAPID0 */
 		do {
 			reg8 = *(volatile u8 *)0xfed40000;
 		} while (!(reg8 & 0x80));
 	}
-	printk(BIOS_DEBUG, "ok\n");
+	printk(DEBUG, "ok\n");
 }
 
 static void i945_setup_egress_port(void)
@@ -198,7 +198,7 @@ static void i945_setup_egress_port(void)
 	u32 reg32;
 	u32 timeout;
 
-	printk(BIOS_DEBUG, "Setting up Egress Port RCRB\n");
+	printk(DEBUG, "Setting up Egress Port RCRB\n");
 
 	/* Egress Port Virtual Channel 0 Configuration */
 
@@ -266,26 +266,26 @@ static void i945_setup_egress_port(void)
 	EPBAR32(EPVC1RCTL) |= (1 << 16);
 	EPBAR32(EPVC1RCTL) |= (1 << 16);
 
-	printk(BIOS_DEBUG, "Loading port arbitration table ...");
+	printk(DEBUG, "Loading port arbitration table ...");
 	/* Loop until bit 0 becomes 0 */
 	timeout = 0x7fffff;
 	while ((EPBAR16(EPVC1RSTS) & 1) && --timeout) ;
 	if (!timeout)
-		printk(BIOS_DEBUG, "timeout!\n");
+		printk(DEBUG, "timeout!\n");
 	else
-		printk(BIOS_DEBUG, "ok\n");
+		printk(DEBUG, "ok\n");
 
 	/* Now enable VC1 */
 	EPBAR32(EPVC1RCTL) |= (1 << 31);
 
-	printk(BIOS_DEBUG, "Wait for VC1 negotiation ...");
+	printk(DEBUG, "Wait for VC1 negotiation ...");
 	/* Wait for VC1 negotiation pending */
 	timeout = 0x7fff;
 	while ((EPBAR16(EPVC1RSTS) & (1 << 1)) && --timeout) ;
 	if (!timeout)
-		printk(BIOS_DEBUG, "timeout!\n");
+		printk(DEBUG, "timeout!\n");
 	else
-		printk(BIOS_DEBUG, "ok\n");
+		printk(DEBUG, "ok\n");
 
 }
 
@@ -347,7 +347,7 @@ static void i945_setup_dmi_rcrb(void)
 
 	int activate_aspm = 1;
 
-	printk(BIOS_DEBUG, "Setting up DMI RCRB\n");
+	printk(DEBUG, "Setting up DMI RCRB\n");
 
 	/* Virtual Channel 0 Configuration */
 	reg32 = DMIBAR32(DMIVC0RCTL0);
@@ -372,14 +372,14 @@ static void i945_setup_dmi_rcrb(void)
 	/* Now enable VC1 */
 	DMIBAR32(DMIVC1RCTL) |= (1 << 31);
 
-	printk(BIOS_DEBUG, "Wait for VC1 negotiation ...");
+	printk(DEBUG, "Wait for VC1 negotiation ...");
 	/* Wait for VC1 negotiation pending */
 	timeout = 0x7ffff;
 	while ((DMIBAR16(DMIVC1RSTS) & (1 << 1)) && --timeout) ;
 	if (!timeout)
-		printk(BIOS_DEBUG, "timeout!\n");
+		printk(DEBUG, "timeout!\n");
 	else
-		printk(BIOS_DEBUG, "done..\n");
+		printk(DEBUG, "done..\n");
 #if 1
 	/* Enable Active State Power Management (ASPM) L0 state */
 
@@ -424,10 +424,10 @@ static void i945_setup_dmi_rcrb(void)
 	DMIBAR32(0x204) = reg32;
 
 	if (pci_read_config8(PCI_DEV(0, 0x0, 0), 0x54) & ((1 << 4) | (1 << 3))) {	/* DEVEN */
-		printk(BIOS_DEBUG, "Internal graphics: enabled\n");
+		printk(DEBUG, "Internal graphics: enabled\n");
 		DMIBAR32(0x200) |= (1 << 21);
 	} else {
-		printk(BIOS_DEBUG, "Internal graphics: disabled\n");
+		printk(DEBUG, "Internal graphics: disabled\n");
 		DMIBAR32(0x200) &= ~(1 << 21);
 	}
 
@@ -473,13 +473,13 @@ static void i945_setup_dmi_rcrb(void)
 	}
 
 	/* wait for bit toggle to 0 */
-	printk(BIOS_DEBUG, "Waiting for DMI hardware...");
+	printk(DEBUG, "Waiting for DMI hardware...");
 	timeout = 0x7fffff;
 	while ((DMIBAR8(0x32) & (1 << 1)) && --timeout) ;
 	if (!timeout)
-		printk(BIOS_DEBUG, "timeout!\n");
+		printk(DEBUG, "timeout!\n");
 	else
-		printk(BIOS_DEBUG, "ok\n");
+		printk(DEBUG, "ok\n");
 
 	DMIBAR32(0x1c4) = 0xffffffff;
 	DMIBAR32(0x1d0) = 0xffffffff;
@@ -494,7 +494,7 @@ static void i945_setup_dmi_rcrb(void)
 
 	if (i945_silicon_revision() == 1 && ((MCHBAR8(0xe08) & (1 << 5)) == 1)) {
 		if ((MCHBAR32(0x214) & 0xf) != 0x3) {
-			printk(BIOS_INFO, "DMI link requires A1 stepping workaround. Rebooting.\n");
+			printk(INFO, "DMI link requires A1 stepping workaround. Rebooting.\n");
 			reg32 = DMIBAR32(0x224);
 			reg32 &= ~(7 << 0);
 			reg32 |= (3 << 0);
@@ -513,7 +513,7 @@ static void i945_setup_pci_express_x16(v
 
 	u8 reg8;
 
-	printk(BIOS_DEBUG, "Enabling PCI Express x16 Link\n");
+	printk(DEBUG, "Enabling PCI Express x16 Link\n");
 
 	reg16 = pci_read_config16(PCI_DEV(0, 0x00, 0), DEVEN);
 	reg16 |= DEVEN_D1F0;
@@ -538,7 +538,7 @@ static void i945_setup_pci_express_x16(v
 	pci_write_config16(PCI_DEV(0, 0x01, 0), 0x3e, reg16);
 
 	reg16 = pci_read_config16(PCI_DEV(0, 0x01, 0), 0xba);
-	printk(BIOS_DEBUG, "SLOTSTS: %04x\n", reg16);
+	printk(DEBUG, "SLOTSTS: %04x\n", reg16);
 	if (!(reg16 & 0x48)) {
 		goto disable_pciexpress_x16_link;
 	}
@@ -574,18 +574,18 @@ static void i945_setup_pci_express_x16(v
 	pcie_write_config32(PCI_DEV(0, 0x01, 0), 0xb4, reg32);
 
 	/* Wait for training to succeed */
-	printk(BIOS_DEBUG, "PCIe link training ...");
+	printk(DEBUG, "PCIe link training ...");
 	timeout = 0x7ffff;
 	while ((((pcie_read_config32(PCI_DEV(0, 0x01, 0), 0x214) >> 16) & 4) != 3)  && --timeout) ;
 
 	reg32 = pci_read_config32(PCI_DEV(0x0a, 0x0, 0), 0);
 	if (reg32 != 0x00000000 && reg32 != 0xffffffff) {
-		printk(BIOS_DEBUG, " Detected PCIe device %04x:%04x\n",
+		printk(DEBUG, " Detected PCIe device %04x:%04x\n",
 				reg32 & 0xffff, reg32 >> 16);
 	} else {
-		printk(BIOS_DEBUG, " timeout!\n");
+		printk(DEBUG, " timeout!\n");
 
-		printk(BIOS_DEBUG, "Restrain PCIe port to x1\n");
+		printk(DEBUG, "Restrain PCIe port to x1\n");
 
 		reg32 = pcie_read_config32(PCI_DEV(0, 0x01, 0), 0x214);
 		reg32 &= ~(0xf << 1);
@@ -599,17 +599,17 @@ static void i945_setup_pci_express_x16(v
 		reg16 &= ~(1 << 6);
 		pcie_write_config16(PCI_DEV(0, 0x01, 0), 0x3e, reg16);
 
-		printk(BIOS_DEBUG, "PCIe link training ...");
+		printk(DEBUG, "PCIe link training ...");
 		timeout = 0x7ffff;
 		while ((((pcie_read_config32(PCI_DEV(0, 0x01, 0), 0x214) >> 16) & 4) != 3)  && --timeout) ;
 
 		reg32 = pci_read_config32(PCI_DEV(0xa, 0x00, 0), 0);
 		if (reg32 != 0x00000000 && reg32 != 0xffffffff) {
-			printk(BIOS_DEBUG, " Detected PCIe x1 device %04x:%04x\n",
+			printk(DEBUG, " Detected PCIe x1 device %04x:%04x\n",
 				reg32 & 0xffff, reg32 >> 16);
 		} else {
-			printk(BIOS_DEBUG, " timeout!\n");
-			printk(BIOS_DEBUG, "Disabling PCIe x16 port completely.\n");
+			printk(DEBUG, " timeout!\n");
+			printk(DEBUG, "Disabling PCIe x16 port completely.\n");
 			goto disable_pciexpress_x16_link;
 		}
 	}
@@ -618,7 +618,7 @@ static void i945_setup_pci_express_x16(v
 	reg16 >>= 4;
 	reg16 &= 0x3f;
 	/* reg16 == 1 -> x1; reg16 == 16 -> x16 */
-	printk(BIOS_DEBUG, "PCIe x%d link training succeeded.\n", reg16);
+	printk(DEBUG, "PCIe x%d link training succeeded.\n", reg16);
 
 	reg32 = pcie_read_config32(PCI_DEV(0, 0x01, 0), 0x204);
 	reg32 &= 0xfffffc00; /* clear [9:0] */
@@ -631,9 +631,9 @@ static void i945_setup_pci_express_x16(v
 	}
 
 	reg32 = (pci_read_config32(PCI_DEV(0xa, 0, 0), 0x8) >> 8);
-	printk(BIOS_DEBUG, "PCIe device class: %06x\n", reg32);
+	printk(DEBUG, "PCIe device class: %06x\n", reg32);
 	if (reg32 == 0x030000) {
-		printk(BIOS_DEBUG, "PCIe device is VGA. Disabling IGD.\n");
+		printk(DEBUG, "PCIe device is VGA. Disabling IGD.\n");
 		reg16 = (1 << 1);
 		pci_write_config16(PCI_DEV(0, 0x0, 0), 0x52, reg16);
 
@@ -756,7 +756,7 @@ static void i945_setup_pci_express_x16(v
 
 disable_pciexpress_x16_link:
 	/* For now we just disable the x16 link */
-	printk(BIOS_DEBUG, "Disabling PCI Express x16 Link\n");
+	printk(DEBUG, "Disabling PCI Express x16 Link\n");
 
 	MCHBAR16(UPMC1) |= (1 << 5) | (1 << 0);
 
@@ -772,14 +772,14 @@ disable_pciexpress_x16_link:
 	reg16 &= ~(1 << 6);
 	pcie_write_config16(PCI_DEV(0, 0x01, 0), BCTRL1, reg16);
 
-	printk(BIOS_DEBUG, "Wait for link to enter detect state... ");
+	printk(DEBUG, "Wait for link to enter detect state... ");
 	timeout = 0x7fffff;
 	for (reg32 = pcie_read_config32(PCI_DEV(0, 0x01, 0), 0x214);
 	     (reg32 & 0x000f0000) && --timeout;) ;
 	if (!timeout)
-		printk(BIOS_DEBUG, "timeout!\n");
+		printk(DEBUG, "timeout!\n");
 	else
-		printk(BIOS_DEBUG, "ok\n");
+		printk(DEBUG, "ok\n");
 
 	/* Finally: Disable the PCI config header */
 	reg16 = pci_read_config16(PCI_DEV(0, 0x00, 0), DEVEN);
@@ -791,7 +791,7 @@ static void i945_setup_root_complex_topo
 {
 	u32 reg32;
 
-	printk(BIOS_DEBUG, "Setting up Root Complex Topology\n");
+	printk(DEBUG, "Setting up Root Complex Topology\n");
 	/* Egress Port Root Topology */
 
 	reg32 = EPBAR32(EPESD);
Index: svn/src/northbridge/intel/i945/northbridge.c
===================================================================
--- svn.orig/src/northbridge/intel/i945/northbridge.c
+++ svn/src/northbridge/intel/i945/northbridge.c
@@ -75,11 +75,11 @@ int add_northbridge_resources(struct lb_
 {
 	u32 pcie_config_base, pcie_config_size;
 
-	printk(BIOS_DEBUG, "Adding UMA memory area\n");
+	printk(DEBUG, "Adding UMA memory area\n");
 	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		uma_memory_base, uma_memory_size);
 
-	printk(BIOS_DEBUG, "Adding PCIe config bar\n");
+	printk(DEBUG, "Adding PCIe config bar\n");
 	get_pcie_bar(&pcie_config_base, &pcie_config_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		pcie_config_base, pcie_config_size);
@@ -140,13 +140,13 @@ static void pci_domain_set_resources(dev
 	 * this way?
 	 */
 	pci_tolm = find_pci_tolm(&dev->link[0]);
-	printk(BIOS_DEBUG, "pci_tolm: 0x%x\n", pci_tolm);
+	printk(DEBUG, "pci_tolm: 0x%x\n", pci_tolm);
 
-	printk(BIOS_SPEW, "Base of stolen memory: 0x%08x\n",
+	printk(SPEW, "Base of stolen memory: 0x%08x\n",
 		    pci_read_config32(dev_find_slot(0, PCI_DEVFN(2, 0)), 0x5c));
 
 	tolud = pci_read_config8(dev_find_slot(0, PCI_DEVFN(0, 0)), 0x9c);
-	printk(BIOS_SPEW, "Top of Low Used DRAM: 0x%08x\n", tolud << 24);
+	printk(SPEW, "Top of Low Used DRAM: 0x%08x\n", tolud << 24);
 
 	tomk = tolud << 14;
 
@@ -154,7 +154,7 @@ static void pci_domain_set_resources(dev
 	reg8 = pci_read_config8(dev_find_slot(0, PCI_DEVFN(0, 0)), 0x9e);
 	if (reg8 & 1) {
 		int tseg_size = 0;
-		printk(BIOS_DEBUG, "TSEG decoded, subtracting ");
+		printk(DEBUG, "TSEG decoded, subtracting ");
 		reg8 >>= 1;
 		reg8 &= 3;
 		switch (reg8) {
@@ -169,14 +169,14 @@ static void pci_domain_set_resources(dev
 			break;	/* TSEG = 8M */
 		}
 
-		printk(BIOS_DEBUG, "%dM\n", tseg_size >> 10);
+		printk(DEBUG, "%dM\n", tseg_size >> 10);
 		tomk -= tseg_size;
 	}
 
 	reg16 = pci_read_config16(dev_find_slot(0, PCI_DEVFN(0, 0)), GGC);
 	if (!(reg16 & 2)) {
 		int uma_size = 0;
-		printk(BIOS_DEBUG, "IGD decoded, subtracting ");
+		printk(DEBUG, "IGD decoded, subtracting ");
 		reg16 >>= 4;
 		reg16 &= 7;
 		switch (reg16) {
@@ -188,7 +188,7 @@ static void pci_domain_set_resources(dev
 			break;
 		}
 
-		printk(BIOS_DEBUG, "%dM UMA\n", uma_size >> 10);
+		printk(DEBUG, "%dM UMA\n", uma_size >> 10);
 		tomk -= uma_size;
 
 		/* For reserving UMA memory in the memory map */
@@ -199,8 +199,8 @@ static void pci_domain_set_resources(dev
 	/* The following needs to be 2 lines, otherwise the second
 	 * number is always 0
 	 */
-	printk(BIOS_INFO, "Available memory: %dK", (uint32_t)tomk);
-	printk(BIOS_INFO, " (%dM)\n", (uint32_t)(tomk >> 10));
+	printk(INFO, "Available memory: %dK", (uint32_t)tomk);
+	printk(INFO, " (%dM)\n", (uint32_t)(tomk >> 10));
 
 	/* Report the memory regions */
 	ram_resource(dev, 3, 0, 640);
@@ -253,7 +253,7 @@ static void mc_read_resources(device_t d
 	resource->flags =
 	    IORESOURCE_MEM | IORESOURCE_FIXED | IORESOURCE_STORED |
 	    IORESOURCE_ASSIGNED;
-	printk(BIOS_DEBUG, "Adding PCIe enhanced config space BAR 0x%08lx-0x%08lx.\n",
+	printk(DEBUG, "Adding PCIe enhanced config space BAR 0x%08lx-0x%08lx.\n",
 		     (unsigned long)(resource->base), (unsigned long)(resource->base + resource->size));
 }
 
@@ -289,15 +289,15 @@ static void northbridge_init(struct devi
 {
 	switch (pci_read_config32(dev, SKPAD)) {
 	case 0xcafebabe:
-		printk(BIOS_DEBUG, "Normal boot.\n");
+		printk(DEBUG, "Normal boot.\n");
 		acpi_slp_type=0;
 		break;
 	case 0xcafed00d:
-		printk(BIOS_DEBUG, "S3 Resume.\n");
+		printk(DEBUG, "S3 Resume.\n");
 		acpi_slp_type=3;
 		break;
 	default:
-		printk(BIOS_DEBUG, "Unknown boot method, assuming normal.\n");
+		printk(DEBUG, "Unknown boot method, assuming normal.\n");
 		acpi_slp_type=0;
 		break;
 	}
